summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Cristian B. <steven.darklight@gmail.com>2015-06-18 15:10:22 +0300
committerStefan Cristian B. <steven.darklight@gmail.com>2015-06-18 15:10:22 +0300
commit35875647a1f4db65a3a7a559479ef8e311acbac2 (patch)
treed407d4a0c8768d27880e4e09ac7023e529334d9a
parent6dd1c53edc99fdfb149db7f6114ae7af006afb3f (diff)
parentdc45a05bcf51a824e2837ae148f39283e81ff40f (diff)
Merge pull request #51 from crismblog/master
add simplescreenrecorder 0.3.3-r1
-rw-r--r--media-sound/deadbeef/Manifest1
-rw-r--r--media-sound/deadbeef/deadbeef-0.6.2.ebuild243
-rw-r--r--media-sound/deadbeef/deadbeef-9999.ebuild248
-rw-r--r--media-sound/deadbeef/files/deadbeef-0.6.2-remove-unity-trash.patch53
-rw-r--r--media-sound/deadbeef/files/deadbeef-0.6.3-remove-unity-trash.patch55
-rw-r--r--media-sound/deadbeef/files/deadbeef-remove-pt_br-and-ru-help-translation.patch13
-rw-r--r--media-sound/deadbeef/files/deadbeef-remove-pt_br-help-translation.patch12
-rw-r--r--media-sound/deadbeef/files/deadbeef-remove-ru-help-translation.patch10
-rw-r--r--media-sound/deadbeef/metadata.xml58
-rw-r--r--media-video/simplescreenrecorder/Manifest1
-rw-r--r--media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild111
11 files changed, 805 insertions, 0 deletions
diff --git a/media-sound/deadbeef/Manifest b/media-sound/deadbeef/Manifest
new file mode 100644
index 00000000..d456a0fb
--- /dev/null
+++ b/media-sound/deadbeef/Manifest
@@ -0,0 +1 @@
+DIST deadbeef-0.6.2.tar.bz2 3495920 SHA256 3433b966683286c03ffbcc79b2201cd517f8dbf6b41da8600778dfa93cd64e1a SHA512 7caee245d7fa68e98ce5edc6aa6acc829d62c963f523c81e0406182a1aa36759219a8c0a2bdf010ac810f22b15acc81d06e8cab4ab820956c96cbc0a94423b7b WHIRLPOOL a8fc10c0f44f9f4d4eafb99a52f26efef34c2a1164d19b1f60693347a4b7a5564c6f7fafd394914149240a2a2f30926ce853bf42bbf3a07699bd8ba422a59f63
diff --git a/media-sound/deadbeef/deadbeef-0.6.2.ebuild b/media-sound/deadbeef/deadbeef-0.6.2.ebuild
new file mode 100644
index 00000000..85158513
--- /dev/null
+++ b/media-sound/deadbeef/deadbeef-0.6.2.ebuild
@@ -0,0 +1,243 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PLOCALES="be bg bn ca cs da de el en_GB es et eu fa fi fr gl he hr hu id it ja kk km lg
+ lt nl pl pt pt_BR ro ru si_LK sk sl sr sr@latin sv te tr ug uk vi zh_CN zh_TW"
+
+PLOCALE_BACKUP="en_GB"
+
+inherit autotools eutils fdo-mime gnome2-utils l10n
+
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+KEYWORDS="*"
+
+DESCRIPTION="foobar2k-like music player"
+HOMEPAGE="http://deadbeef.sourceforge.net"
+
+RESTRICT="mirror"
+
+LICENSE="BSD
+ UNICODE
+ ZLIB
+ aac? ( GPL GPL-2 )
+ adplug? ( LGPL-2.1 ZLIB )
+ alac? ( MIT GPL-2 )
+ alsa? ( GPL-2 )
+ cdda? ( GPL-2 LGPL-2 GPL-3 )
+ cover? ( ZLIB )
+ converter? ( GPL-2 )
+ curl? ( curl ZLIB )
+ dts? ( GPL-2 )
+ dumb? ( DUMB-0.9.3 ZLIB )
+ equalizer? ( GPL-2 )
+ ffmpeg? ( GPL-2 )
+ flac? ( BSD )
+ gme? ( LGPL-2.1 )
+ gtk2? ( GPL-2 )
+ gtk3? ( GPL-2 )
+ hotkeys? ( ZLIB )
+ lastfm? ( GPL-2 )
+ libav? ( GPL-2 )
+ libnotify? ( GPL-2 )
+ libsamplerate? ( GPL-2 )
+ m3u? ( ZLIB )
+ mac? ( GPL-2 )
+ midi? ( LGPL-2.1 ZLIB )
+ mms? ( GPL-2 ZLIB )
+ mono2stereo? ( ZLIB )
+ mp3? ( GPL-2 ZLIB )
+ musepack? ( BSD ZLIB )
+ nullout? ( ZLIB )
+ oss? ( GPL-2 )
+ playlist-browser? ( ZLIB )
+ psf? ( BSD GPL MAME ZLIB )
+ pulseaudio? ( GPL-2 )
+ shell-exec? ( GPL-2 )
+ shn? ( shorten ZLIB )
+ sid? ( GPL-2 )
+ sndfile? ( GPL-2 LGPL-2 )
+ tta? ( BSD ZLIB )
+ vorbis? ( BSD ZLIB )
+ vtx? ( GPL-2 ZLIB )
+ wavpack? ( BSD )
+ wma? ( GPL-2 LGPL-2 ZLIB )
+ zip? ( ZLIB )"
+
+SLOT="0"
+
+IUSE="+alsa +flac +gtk2 +hotkeys +m3u +mp3 +sndfile +vorbis
+ aac adplug alac cdda converter cover cover-imlib2 cover-network curl dts dumb equalizer
+ ffmpeg gme gtk3 lastfm libav libnotify libsamplerate mac midi mms mono2stereo musepack nls nullout
+ oss playlist-browser psf pulseaudio shell-exec shn sid tta unity vtx wavpack wma zip"
+
+REQUIRED_USE="converter? ( || ( gtk2 gtk3 ) )
+ cover-imlib2? ( cover )
+ cover-network? ( cover curl )
+ cover? ( || ( gtk2 gtk3 ) )
+ ffmpeg? ( !libav )
+ lastfm? ( curl )
+ playlist-browser? ( || ( gtk2 gtk3 ) )
+ || ( alsa oss pulseaudio nullout )"
+
+PDEPEND="media-plugins/deadbeef-plugins-meta:0"
+
+RDEPEND="dev-libs/glib:2
+ aac? ( media-libs/faad2:0 )
+ adplug? ( media-libs/adplug:0 )
+ alsa? ( media-libs/alsa-lib:0 )
+ alac? ( media-libs/faad2:0 )
+ cdda? ( dev-libs/libcdio:0=
+ media-libs/libcddb:0 )
+ cover? ( cover-imlib2? ( media-libs/imlib2:0 )
+ media-libs/libpng:0=
+ virtual/jpeg:0
+ x11-libs/gdk-pixbuf:2[jpeg] )
+ curl? ( net-misc/curl:0 )
+ ffmpeg? ( media-video/ffmpeg:0= )
+ libav? ( media-video/libav:0= )
+ flac? ( media-libs/libogg
+ media-libs/flac:0 )
+ gme? ( sys-libs/zlib:0 )
+ gtk2? ( dev-libs/atk:0
+ x11-libs/cairo:0
+ x11-libs/gtk+:2
+ x11-libs/pango:0 )
+ gtk3? ( x11-libs/gtk+:3 )
+ hotkeys? ( x11-libs/libX11:0 )
+ libnotify? ( sys-apps/dbus:0 )
+ libsamplerate? ( media-libs/libsamplerate:0 )
+ mac? ( x86? ( dev-lang/yasm:0 )
+ amd64? ( dev-lang/yasm:0 ) )
+ midi? ( media-sound/timidity-freepats:0 )
+ mp3? ( media-libs/libmad:0 )
+ psf? ( sys-libs/zlib:0 )
+ pulseaudio? ( media-sound/pulseaudio:0 )
+ sndfile? ( media-libs/libsndfile:0 )
+ vorbis? ( media-libs/libogg:0
+ media-libs/libvorbis:0 )
+ wavpack? ( media-sound/wavpack:0 )
+ zip? ( dev-libs/libzip:0 )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig:0
+ nls? ( dev-util/intltool:0
+ virtual/libintl:0 )"
+
+src_prepare() {
+ if ! use_if_iuse linguas_pt_BR && use_if_iuse linguas_ru ; then
+ epatch "${FILESDIR}/${PN}-remove-pt_br-help-translation.patch"
+ rm "${S}/translation/help.pt_BR.txt" || die
+ fi
+
+ if ! use_if_iuse linguas_ru && use_if_iuse linguas_pt_BR ; then
+ epatch "${FILESDIR}/${PN}-remove-ru-help-translation.patch"
+ rm "${S}/translation/help.ru.txt" || die
+ fi
+
+ if ! use_if_iuse linguas_pt_BR && ! use_if_iuse linguas_ru ; then
+ epatch "${FILESDIR}/${PN}-remove-pt_br-and-ru-help-translation.patch"
+ rm "${S}/translation/help.pt_BR.txt" "${S}/translation/help.ru.txt" || die
+ fi
+
+ if use midi ; then
+ # set default gentoo path
+ sed -e 's;/etc/timidity++/timidity-freepats.cfg;/usr/share/timidity/freepats/timidity.cfg;g' \
+ -i "${S}/plugins/wildmidi/wildmidiplug.c" || die
+ fi
+
+ if ! use unity ; then
+ # remove unity trash
+ epatch "${FILESDIR}/${P}-remove-unity-trash.patch"
+ fi
+
+ config_rpath_update "${S}/config.rpath" || die
+ eautoreconf
+}
+
+src_configure() {
+ if use shell-exec ; then
+ if use gtk2 || use gtk3 ; then
+ shell-exec-ui="--enable-shellexec-ui"
+ else
+ shell-exec-ui="--disable-shellexec-ui"
+ fi
+ fi
+
+ econf --disable-coreaudio \
+ --disable-portable \
+ --disable-static \
+ --docdir=/usr/share/${PN} \
+ ${shell-exec-ui} \
+ $(use_enable aac) \
+ $(use_enable adplug) \
+ $(use_enable alac) \
+ $(use_enable alsa) \
+ $(use_enable cdda) \
+ $(use_enable converter) \
+ $(use_enable cover artwork) \
+ $(use_enable cover-imlib2 artwork-imlib2) \
+ $(use_enable cover-network artwork-network) \
+ $(use_enable curl vfs-curl) \
+ $(use_enable dts dca) \
+ $(use_enable dumb) \
+ $(use_enable equalizer supereq) \
+ $(use_enable ffmpeg) \
+ $(use_enable flac) \
+ $(use_enable gme) \
+ $(use_enable gtk2) \
+ $(use_enable gtk3) \
+ $(use_enable hotkeys) \
+ $(use_enable lastfm lfm) \
+ $(use_enable libav ffmpeg) \
+ $(use_enable libnotify notify) \
+ $(use_enable libsamplerate src) \
+ $(use_enable m3u) \
+ $(use_enable mac ffap) \
+ $(use_enable midi wildmidi) \
+ $(use_enable mms) \
+ $(use_enable mono2stereo) \
+ $(use_enable mp3 mad) \
+ $(use_enable musepack) \
+ $(use_enable nls) \
+ $(use_enable nullout) \
+ $(use_enable oss) \
+ $(use_enable playlist-browser pltbrowser) \
+ $(use_enable psf) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable shell-exec shellexec) \
+ $(use_enable shn) \
+ $(use_enable sid) \
+ $(use_enable sndfile) \
+ $(use_enable tta) \
+ $(use_enable vorbis) \
+ $(use_enable vtx) \
+ $(use_enable wavpack) \
+ $(use_enable wma) \
+ $(use_enable zip vfs-zip)
+}
+
+pkg_preinst() {
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_savelist
+ fi
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_cache_update
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_cache_update
+ fi
+}
diff --git a/media-sound/deadbeef/deadbeef-9999.ebuild b/media-sound/deadbeef/deadbeef-9999.ebuild
new file mode 100644
index 00000000..75e750df
--- /dev/null
+++ b/media-sound/deadbeef/deadbeef-9999.ebuild
@@ -0,0 +1,248 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PLOCALES="be bg bn ca cs da de el en_GB es et eu fa fi fr gl he hr hu id it ja kk km lg
+ lt nl pl pt pt_BR ro ru si_LK sk sl sr sr@latin sv te tr ug uk vi zh_CN zh_TW"
+
+PLOCALE_BACKUP="en_GB"
+
+inherit autotools eutils fdo-mime git-r3 gnome2-utils l10n
+
+EGIT_REPO_URI="https://github.com/Alexey-Yakovenko/${PN}.git"
+EGIT_BRANCH="master"
+
+KEYWORDS=""
+
+DESCRIPTION="foobar2k-like music player"
+HOMEPAGE="http://deadbeef.sourceforge.net"
+
+LICENSE="BSD
+ UNICODE
+ ZLIB
+ aac? ( GPL GPL-2 )
+ adplug? ( LGPL-2.1 ZLIB )
+ alac? ( MIT GPL-2 )
+ alsa? ( GPL-2 )
+ cdda? ( GPL-2 LGPL-2 GPL-3 )
+ cover? ( ZLIB )
+ converter? ( GPL-2 )
+ curl? ( curl ZLIB )
+ dts? ( GPL-2 )
+ dumb? ( DUMB-0.9.3 ZLIB )
+ equalizer? ( GPL-2 )
+ ffmpeg? ( GPL-2 )
+ flac? ( BSD )
+ gme? ( LGPL-2.1 )
+ gtk2? ( GPL-2 )
+ gtk3? ( GPL-2 )
+ hotkeys? ( ZLIB )
+ lastfm? ( GPL-2 )
+ libav? ( GPL-2 )
+ libnotify? ( GPL-2 )
+ libsamplerate? ( GPL-2 )
+ m3u? ( ZLIB )
+ mac? ( GPL-2 )
+ mad? ( GPL-2 ZLIB )
+ midi? ( LGPL-2.1 ZLIB )
+ mms? ( GPL-2 ZLIB )
+ mono2stereo? ( ZLIB )
+ mpg123? ( LGPL-2.1 ZLIB )
+ musepack? ( BSD ZLIB )
+ nullout? ( ZLIB )
+ oss? ( GPL-2 )
+ playlist-browser? ( ZLIB )
+ psf? ( BSD GPL MAME ZLIB )
+ pulseaudio? ( GPL-2 )
+ shell-exec? ( GPL-2 )
+ shn? ( shorten ZLIB )
+ sid? ( GPL-2 )
+ sndfile? ( GPL-2 LGPL-2 )
+ tta? ( BSD ZLIB )
+ vorbis? ( BSD ZLIB )
+ vtx? ( GPL-2 ZLIB )
+ wavpack? ( BSD )
+ wma? ( GPL-2 LGPL-2 ZLIB )
+ zip? ( ZLIB )"
+
+SLOT="0"
+
+IUSE="+alsa +flac +gtk2 +hotkeys +m3u +mad +mp3 +sndfile +vorbis
+ aac adplug alac cdda converter cover cover-imlib2 cover-network curl dts dumb equalizer
+ ffmpeg gme gtk3 lastfm libav libnotify libsamplerate mac midi mms mono2stereo mpg123 musepack nls
+ nullout oss playlist-browser psf pulseaudio sc68 shell-exec shn sid tta unity vtx wavpack wma zip"
+
+REQUIRED_USE="converter? ( || ( gtk2 gtk3 ) )
+ cover-imlib2? ( cover )
+ cover-network? ( cover curl )
+ cover? ( || ( gtk2 gtk3 ) )
+ ffmpeg? ( !libav )
+ lastfm? ( curl )
+ mp3? ( || ( mad mpg123 ) )
+ playlist-browser? ( || ( gtk2 gtk3 ) )
+ || ( alsa oss pulseaudio nullout )"
+
+PDEPEND="media-plugins/deadbeef-plugins-meta:0"
+
+RDEPEND="dev-libs/glib:2
+ aac? ( media-libs/faad2:0 )
+ adplug? ( media-libs/adplug:0 )
+ alsa? ( media-libs/alsa-lib:0 )
+ alac? ( media-libs/faad2:0 )
+ cdda? ( dev-libs/libcdio:0=
+ media-libs/libcddb:0 )
+ cover? ( cover-imlib2? ( media-libs/imlib2:0 )
+ media-libs/libpng:0=
+ virtual/jpeg:0
+ x11-libs/gdk-pixbuf:2[jpeg] )
+ curl? ( net-misc/curl:0 )
+ ffmpeg? ( media-video/ffmpeg:0= )
+ libav? ( media-video/libav:0= )
+ flac? ( media-libs/flac:0 )
+ gme? ( sys-libs/zlib:0 )
+ gtk2? ( dev-libs/atk:0
+ dev-libs/jansson:0
+ x11-libs/cairo:0
+ x11-libs/gtk+:2
+ x11-libs/pango:0 )
+ gtk3? ( dev-libs/jansson:0
+ x11-libs/gtk+:3 )
+ hotkeys? ( x11-libs/libX11:0 )
+ libnotify? ( sys-apps/dbus:0 )
+ libsamplerate? ( media-libs/libsamplerate:0 )
+ mac? ( x86? ( dev-lang/yasm:0 )
+ amd64? ( dev-lang/yasm:0 ) )
+ mad? ( media-libs/libmad:0 )
+ midi? ( media-sound/timidity-freepats:0 )
+ mpg123? ( media-sound/mpg123:0 )
+ psf? ( sys-libs/zlib:0 )
+ pulseaudio? ( media-sound/pulseaudio:0 )
+ sndfile? ( media-libs/libsndfile:0 )
+ vorbis? ( media-libs/libogg:0
+ media-libs/libvorbis:0 )
+ wavpack? ( media-sound/wavpack:0 )
+ zip? ( dev-libs/libzip:0 )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig:0
+ nls? ( dev-util/intltool:0
+ virtual/libintl:0 )"
+
+src_prepare() {
+ if ! use_if_iuse linguas_pt_BR && use_if_iuse linguas_ru ; then
+ epatch "${FILESDIR}/${PN}-remove-pt_br-help-translation.patch"
+ rm "${S}/translation/help.pt_BR.txt" || die
+ fi
+
+ if ! use_if_iuse linguas_ru && use_if_iuse linguas_pt_BR ; then
+ epatch "${FILESDIR}/${PN}-remove-ru-help-translation.patch"
+ rm "${S}/translation/help.ru.txt" || die
+ fi
+
+ if ! use_if_iuse linguas_pt_BR && ! use_if_iuse linguas_ru ; then
+ epatch "${FILESDIR}/${PN}-remove-pt_br-and-ru-help-translation.patch"
+ rm "${S}/translation/help.pt_BR.txt" "${S}/translation/help.ru.txt" || die
+ fi
+
+ if use midi ; then
+ # set default gentoo path
+ sed -e 's;/etc/timidity++/timidity-freepats.cfg;/usr/share/timidity/freepats/timidity.cfg;g' \
+ -i "${S}/plugins/wildmidi/wildmidiplug.c" || die
+ fi
+
+ if ! use unity ; then
+ # remove unity trash
+ epatch "${FILESDIR}/${PN}-0.6.3-remove-unity-trash.patch"
+ fi
+
+ config_rpath_update "${S}/config.rpath"
+ eautoreconf
+}
+
+src_configure() {
+ if use shell-exec ; then
+ if use gtk2 || use gtk3 ; then
+ shell-exec-ui="--enable-shellexec-ui"
+ else
+ shell-exec-ui="--disable-shellexec-ui"
+ fi
+ fi
+
+ econf --disable-coreaudio \
+ --disable-portable \
+ --disable-static \
+ --docdir=/usr/share/${PN} \
+ ${shell-exec-ui} \
+ $(use_enable aac) \
+ $(use_enable adplug) \
+ $(use_enable alac) \
+ $(use_enable alsa) \
+ $(use_enable cdda) \
+ $(use_enable converter) \
+ $(use_enable cover artwork) \
+ $(use_enable cover-imlib2 artwork-imlib2) \
+ $(use_enable cover-network artwork-network) \
+ $(use_enable curl vfs-curl) \
+ $(use_enable dts dca) \
+ $(use_enable dumb) \
+ $(use_enable equalizer supereq) \
+ $(use_enable ffmpeg) \
+ $(use_enable flac) \
+ $(use_enable gme) \
+ $(use_enable gtk2) \
+ $(use_enable gtk3) \
+ $(use_enable hotkeys) \
+ $(use_enable lastfm lfm) \
+ $(use_enable libav ffmpeg) \
+ $(use_enable libnotify notify) \
+ $(use_enable libsamplerate src) \
+ $(use_enable m3u) \
+ $(use_enable mac ffap) \
+ $(use_enable mad libmad) \
+ $(use_enable midi wildmidi) \
+ $(use_enable mms) \
+ $(use_enable mono2stereo) \
+ $(use_enable mpg123 libmpg123) \
+ $(use_enable musepack) \
+ $(use_enable nls) \
+ $(use_enable nullout) \
+ $(use_enable oss) \
+ $(use_enable playlist-browser pltbrowser) \
+ $(use_enable psf) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable sc68) \
+ $(use_enable shell-exec shellexec) \
+ $(use_enable shn) \
+ $(use_enable sid) \
+ $(use_enable sndfile) \
+ $(use_enable tta) \
+ $(use_enable vorbis) \
+ $(use_enable vtx) \
+ $(use_enable wavpack) \
+ $(use_enable wma) \
+ $(use_enable zip vfs-zip)
+}
+
+pkg_preinst() {
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_savelist
+ fi
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_cache_update
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ if use gtk2 || use gtk3 ; then
+ gnome2_icon_cache_update
+ fi
+}
diff --git a/media-sound/deadbeef/files/deadbeef-0.6.2-remove-unity-trash.patch b/media-sound/deadbeef/files/deadbeef-0.6.2-remove-unity-trash.patch
new file mode 100644
index 00000000..00e4303a
--- /dev/null
+++ b/media-sound/deadbeef/files/deadbeef-0.6.2-remove-unity-trash.patch
@@ -0,0 +1,53 @@
+--- deadbeef.desktop.in 2014-07-23 11:56:46.070555239 +0400
++++ deadbeef.desktop.in 2014-07-23 11:57:11.720554547 +0400
+@@ -13,50 +13,3 @@
+ Type=Application
+ Icon=deadbeef
+ X-PulseAudio-Properties=media.role=music
+-
+-X-Ayatana-Desktop-Shortcuts=Play;Pause;Stop;Next;Prev
+-
+-[Play Shortcut Group]
+-Name=Play
+-Exec=deadbeef --play
+-TargetEnvironment=Unity
+-
+-[Pause Shortcut Group]
+-Name=Pause
+-Exec=deadbeef --pause
+-TargetEnvironment=Unity
+-
+-[Stop Shortcut Group]
+-Name=Stop
+-Exec=deadbeef --stop
+-TargetEnvironment=Unity
+-
+-[Next Shortcut Group]
+-Name=Next
+-Exec=deadbeef --next
+-TargetEnvironment=Unity
+-
+-[Prev Shortcut Group]
+-Name=Prev
+-Exec=deadbeef --prev
+-TargetEnvironment=Unity
+-
+-[Desktop Action Play]
+-Name=Play
+-Exec=deadbeef --play
+-
+-[Desktop Action Pause]
+-Name=Pause
+-Exec=deadbeef --pause
+-
+-[Desktop Action Stop]
+-Name=Stop
+-Exec=deadbeef --stop
+-
+-[Desktop Action Next]
+-Name=Next
+-Exec=deadbeef --next
+-
+-[Desktop Action Previous]
+-Name=Prev
+-Exec=deadbeef --prev
diff --git a/media-sound/deadbeef/files/deadbeef-0.6.3-remove-unity-trash.patch b/media-sound/deadbeef/files/deadbeef-0.6.3-remove-unity-trash.patch
new file mode 100644
index 00000000..2671e652
--- /dev/null
+++ b/media-sound/deadbeef/files/deadbeef-0.6.3-remove-unity-trash.patch
@@ -0,0 +1,55 @@
+--- deadbeef.desktop.in.org 2015-02-03 23:23:03.421428844 +0300
++++ deadbeef.desktop.in 2015-02-03 23:23:22.451428905 +0300
+@@ -13,52 +13,3 @@
+ Type=Application
+ Icon=deadbeef
+ X-PulseAudio-Properties=media.role=music
+-
+-X-Ayatana-Desktop-Shortcuts=Play;Pause;Stop;Next;Prev
+-
+-Keywords=Sound;Music;Audio;Player;Musicplayer;MP3
+-
+-[Play Shortcut Group]
+-Name=Play
+-Exec=deadbeef --play
+-TargetEnvironment=Unity
+-
+-[Pause Shortcut Group]
+-Name=Pause
+-Exec=deadbeef --pause
+-TargetEnvironment=Unity
+-
+-[Stop Shortcut Group]
+-Name=Stop
+-Exec=deadbeef --stop
+-TargetEnvironment=Unity
+-
+-[Next Shortcut Group]
+-Name=Next
+-Exec=deadbeef --next
+-TargetEnvironment=Unity
+-
+-[Prev Shortcut Group]
+-Name=Prev
+-Exec=deadbeef --prev
+-TargetEnvironment=Unity
+-
+-[Desktop Action Play]
+-Name=Play
+-Exec=deadbeef --play
+-
+-[Desktop Action Pause]
+-Name=Pause
+-Exec=deadbeef --pause
+-
+-[Desktop Action Stop]
+-Name=Stop
+-Exec=deadbeef --stop
+-
+-[Desktop Action Next]
+-Name=Next
+-Exec=deadbeef --next
+-
+-[Desktop Action Previous]
+-Name=Prev
+-Exec=deadbeef --prev
diff --git a/media-sound/deadbeef/files/deadbeef-remove-pt_br-and-ru-help-translation.patch b/media-sound/deadbeef/files/deadbeef-remove-pt_br-and-ru-help-translation.patch
new file mode 100644
index 00000000..ddcb0432
--- /dev/null
+++ b/media-sound/deadbeef/files/deadbeef-remove-pt_br-and-ru-help-translation.patch
@@ -0,0 +1,13 @@
+--- Makefile.am 2014-09-13 13:00:26.945181716 +0400
++++ Makefile.am 2014-09-13 13:00:36.425215841 +0400
+@@ -55,9 +55,7 @@
+ docsdir = $(docdir)
+
+ docs_DATA = README help.txt about.txt translators.txt ChangeLog\
+- COPYING.GPLv2 COPYING.LGPLv2.1\
+- translation/help.ru.txt\
+- translation/help.pt_BR.txt
++ COPYING.GPLv2 COPYING.LGPLv2.1
+
+ desktopdir = $(datadir)/applications
+ desktop_DATA = deadbeef.desktop
diff --git a/media-sound/deadbeef/files/deadbeef-remove-pt_br-help-translation.patch b/media-sound/deadbeef/files/deadbeef-remove-pt_br-help-translation.patch
new file mode 100644
index 00000000..ceb59c95
--- /dev/null
+++ b/media-sound/deadbeef/files/deadbeef-remove-pt_br-help-translation.patch
@@ -0,0 +1,12 @@
+--- Makefile.am 2014-09-13 12:56:05.997575732 +0400
++++ Makefile.am 2014-09-13 12:56:29.964328671 +0400
+@@ -56,8 +56,7 @@
+
+ docs_DATA = README help.txt about.txt translators.txt ChangeLog\
+ COPYING.GPLv2 COPYING.LGPLv2.1\
+- translation/help.ru.txt\
+- translation/help.pt_BR.txt
++ translation/help.ru.txt
+
+ desktopdir = $(datadir)/applications
+ desktop_DATA = deadbeef.desktop
diff --git a/media-sound/deadbeef/files/deadbeef-remove-ru-help-translation.patch b/media-sound/deadbeef/files/deadbeef-remove-ru-help-translation.patch
new file mode 100644
index 00000000..eac0337a
--- /dev/null
+++ b/media-sound/deadbeef/files/deadbeef-remove-ru-help-translation.patch
@@ -0,0 +1,10 @@
+--- Makefile.am 2014-09-13 12:56:05.997575732 +0400
++++ Makefile.am 2014-09-13 12:58:07.248012190 +0400
+@@ -56,7 +56,6 @@
+
+ docs_DATA = README help.txt about.txt translators.txt ChangeLog\
+ COPYING.GPLv2 COPYING.LGPLv2.1\
+- translation/help.ru.txt\
+ translation/help.pt_BR.txt
+
+ desktopdir = $(datadir)/applications
diff --git a/media-sound/deadbeef/metadata.xml b/media-sound/deadbeef/metadata.xml
new file mode 100644
index 00000000..425ce4ac
--- /dev/null
+++ b/media-sound/deadbeef/metadata.xml
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>damex.pp@gmail.com</email>
+ <name>Roman Kuzmitsky</name>
+ </maintainer>
+ <use>
+ <flag name='aac'>Advanced Audio Coding (AAC) plugin</flag>
+ <flag name='adplug'>Adplug plugin</flag>
+ <flag name='alac'>Apple Lossless Audio Codec (ALAC) plugin</flag>
+ <flag name='cdda'>Compact Disc Digital Audio (CDDA) plugin</flag>
+ <flag name='converter'>Support for converting media files</flag>
+ <flag name='cover'>Album artwork plugin</flag>
+ <flag name='cover-imlib2'>Album artwork (with support for imlib2) plugin</flag>
+ <flag name='cover-network'>Plugin for downloading album artwork from internet</flag>
+ <flag name='curl'>cURL plugin</flag>
+ <flag name='dts'>Digital Theater System (DTS) plugin</flag>
+ <flag name='dumb'>Tracker music (MOD, S3M, XM, IT, STM, 669, PTM, PSM, MTM, DSM, ASYLUM AMF, UMX, J2B) plugin</flag>
+ <flag name='equalizer'>Equalizer plugin</flag>
+ <flag name='ffmpeg'>FFmpeg plugin</flag>
+ <flag name='flac'>Free Lossless Audio Codec (FLAC) plugin</flag>
+ <flag name='gme'>Game Music Emu (NSF, AY and other formats) plugin</flag>
+ <flag name='gtk2'>GTK2 based user interface</flag>
+ <flag name='gtk3'>GTK3 based user interface</flag>
+ <flag name='hotkeys'>Hotkeys support plugin</flag>
+ <flag name='lastfm'>Last.fm scrobbling plugin</flag>
+ <flag name='libav'>Libav plugin</flag>
+ <flag name='libnotify'>Notification daemon support plugin</flag>
+ <flag name='libsamplerate'>Sample rate conversion plugin</flag>
+ <flag name='m3u'>m3u playlist plugin</flag>
+ <flag name='mac'>Monkey's Audio plugin</flag>
+ <flag name='mad'>MPEG-1/2/2.5 Layer 3 (MP3) support through mad/libmad</flag>
+ <flag name='midi'>midi support (via timidity) plugin</flag>
+ <flag name='mms'>Microsoft Media Server (MMS) plugin</flag>
+ <flag name='mono2stereo'>mono2stereo plugin</flag>
+ <flag name='mp3'>MPEG-1/2/2.5 Layer 3 (MP3) support plugin. It is a virtual use for mad/libmad or mpg123/libmpg123 since deadbeef 0.6.3</flag>
+ <flag name='mpg123'>MPEG-1/2/2.5 Layer 3 (MP3) support through mpg123/libmpg123</flag>
+ <flag name='nls'>Native Language Support (NLS)</flag>
+ <flag name='nullout'>NULL output plugin</flag>
+ <flag name='oss'>Open Sound System (OSS) output plugin</flag>
+ <flag name='playlist-browser'>Playlist browser user interface plugin</flag>
+ <flag name='psf'>AOSDK-based PSF(QSF,SSF,DSF) plugin</flag>
+ <flag name='pulseaudio'>PulseAudio output plugin</flag>
+ <flag name='sc68'>Atari ST and Amiga music plugin</flag>
+ <flag name='shell-exec'>Support for running shell commands</flag>
+ <flag name='shn'>Shorten (SHN) plugin</flag>
+ <flag name='sid'>Commodore64 SID music player plugin</flag>
+ <flag name='sndfile'>PCM wave support (via libsndfile) plugin</flag>
+ <flag name='tta'>True Audio TTA plugin</flag>
+ <flag name='vorbis'>Ogg Vorbis plugin</flag>
+ <flag name='unity'>Gnome Unity support</flag>
+ <flag name='vtx'>Libayemy VTX ZX-Spectrum music player plugin</flag>
+ <flag name='wavpack'>WavPack plugin</flag>
+ <flag name='wma'>Windows media audio plugin</flag>
+ <flag name='zip'>vfs_zip plugin</flag>
+ </use>
+</pkgmetadata>
diff --git a/media-video/simplescreenrecorder/Manifest b/media-video/simplescreenrecorder/Manifest
index ae6a4426..ac90d787 100644
--- a/media-video/simplescreenrecorder/Manifest
+++ b/media-video/simplescreenrecorder/Manifest
@@ -1,2 +1,3 @@
DIST 0.2.0.tar.gz 1177716 SHA256 e958e0afc6633a8ad3ba3e7712dec2015e2f348a43b1d70a657ea04dcd90cc56 SHA512 467fe9a437244033d29cab5ce40446873d5a7908a0cd9ec094dfc21c3a44ef4127ba441e51bbd0fa9ac99e524cbb615efb6fbf61176fbb1fe77342687c4dc925 WHIRLPOOL 20e5e61634ef307eafe840e1bd77d50fcee836739ae3c9cb59d7fb71c20edf049fc5492bb2a72e7f4d0f125ad12a1cb222f3bce2cc9d3e5a897c2a120ae435f0
DIST 0.2.1.tar.gz 1177723 SHA256 257e856c45209452bbda8c21a99e92248ae81dc6dafb02e08bf8d5f7bda4a452 SHA512 9c752cfe7b4dfe6afca2e13abdf5ddb20073c3878dbc08aa0cbfa1403c02eff66a34a55c75c0fff8fe719cadf5a29f32d115ec5c2af0b9b0a0f754c85e22a336 WHIRLPOOL e9fe0ea37bc607158c4ad371d649acef595a7678fdffc98ad18ae5d3753815bbe41bf7c7bf6fc60bc96a72e0b7b5d677cb035d6414a6ee9d325519e7f8af7bbe
+DIST 0.3.3.tar.gz 1571466 SHA256 cb75df563927d3fa74cb825c9040522332c49cd9745e02c8a64be0bff0aeac26 SHA512 d2541ccadd410067ddf043bc2cbaa863e4bac7c828b3591faf429aa3d1ba43cbfc789ccc21cd045cb54c6d2aa1381a94d8558c7a11a8e8c12850c885409a44e8 WHIRLPOOL 9dcdc460aeffb5d6117d2bc984e31bb59d706a37eebafcf379568dce6105b4039ea670931b18862105bf720411bb516e0081ee06c21275c5b2ab8738668e0181
diff --git a/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild
new file mode 100644
index 00000000..652628ca
--- /dev/null
+++ b/media-video/simplescreenrecorder/simplescreenrecorder-0.3.3-r1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit flag-o-matic multilib-minimal
+
+if [[ ${PV} = 9999 ]]; then
+ inherit git-2
+fi
+
+DESCRIPTION="A Simple Screen Recorder"
+HOMEPAGE="http://www.maartenbaert.be/simplescreenrecorder"
+LICENSE="GPL-3"
+PKGNAME="ssr"
+S=${WORKDIR}/${PKGNAME}-${PV}
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="git://github.com/MaartenBaert/${PKGNAME}.git
+ https://github.com/MaartenBaert/${PKGNAME}.git"
+ EGIT_BOOTSTRAP=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/MaartenBaert/${PKGNAME}/archive/${PV}.tar.gz"
+ KEYWORDS="amd64 x86"
+fi
+
+SLOT="0"
+IUSE="debug jack mp3 pulseaudio theora vorbis vpx x264 +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+RDEPEND="
+ qt4? (
+ >=dev-qt/qtcore-4.8.0:4
+ >=dev-qt/qtgui-4.8.0:4
+ )
+ qt5? (
+ >=dev-qt/qtcore-5.1.0:5
+ >=dev-qt/qtgui-5.1.0:5
+ >=dev-qt/qtwidgets-5.1.0:5
+ >=dev-qt/qtx11extras-5.1.0:5
+ )
+ virtual/glu[${MULTILIB_USEDEP}]
+ media-libs/alsa-lib
+ media-libs/mesa[${MULTILIB_USEDEP}]
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXext
+ x11-libs/libXfixes[${MULTILIB_USEDEP}]
+ jack? ( media-sound/jack-audio-connection-kit )
+ pulseaudio? ( media-sound/pulseaudio )
+ || (
+ media-video/ffmpeg:0[vorbis?,vpx?,x264?,mp3?,theora?]
+ media-video/libav[vorbis?,vpx?,x264?,mp3?,theora?]
+ )
+ "
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ if [[ ${PV} == "9999" ]]; then
+ elog
+ elog "This ebuild merges the latest revision available from upstream's"
+ elog "git repository, and might fail to compile or work properly once"
+ elog "merged."
+ elog
+ fi
+
+ if [[ ${ABI} == amd64 ]]; then
+ elog "You may want to add USE flag 'abi_x86_32' when running a 64bit system"
+ elog "When added 32bit GLInject libraries are also included. This is"
+ elog "required if you want to use OpenGL recording on 32bit applications."
+ elog
+ fi
+
+ if ( has_version media-video/ffmpeg[x264] || has_version media-video/libav[x264] ) && has_version media-libs/x264[10bit]; then
+ ewarn
+ ewarn "media-libs/x264 is currently built with 10bit useflag."
+ ewarn "This is known to prevent simplescreenrecorder from recording x264 videos"
+ ewarn "correctly. Please build media-libs/x264 without 10bit if you want to "
+ ewarn "record videos with x264."
+ ewarn
+ fi
+
+ # QT requires -fPIC. Compile fails otherwise.
+ # Recently removed from the default compile options upstream
+ # https://github.com/MaartenBaert/ssr/commit/25fe1743058f0d1f95f6fbb39014b6ac146b5180
+ append-flags -fPIC
+}
+
+multilib_src_configure() {
+
+ local myconf=(
+ --enable-dependency-tracking
+ $(multilib_native_use_enable debug assert)
+ $(multilib_native_use_with pulseaudio)
+ $(multilib_native_use_with jack)
+ $(multilib_native_use_with qt5)
+ )
+
+ # libav doesn't have AVFrame::channels
+ # https://github.com/MaartenBaert/ssr/issues/195#issuecomment-45646159
+ if has_version media-video/libav; then
+ myconf+=( --disable-ffmpeg-versions )
+ fi
+
+ multilib_is_native_abi || myconf+=( --disable-ssrprogram )
+
+ ECONF_SOURCE="${S}" \
+ econf \
+ ${myconf[@]}
+
+}